#
# spec file for package mcomix
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mcomix
Version:        1.2.1
Release:        1.1
Summary:        Comics Viewer
License:        GPL-2.0
Group:          Productivity/Graphics/Viewers
Url:            http://sourceforge.net/p/mcomix/wiki/Home/
Source0:        %{name}-%{version}.tar.bz2
# not Python3 ready :(
BuildRequires:  python-setuptools
Requires:       python-Pillow
Requires:       python-gtk
Requires:       python-setuptools
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
Recommends:     unrar
BuildArch:      noarch
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif

%description
Comics Viewer forked from comix.

%prep
%setup -q

%build

%install
python setup.py install --root %{buildroot} --prefix "%{_prefix}"
{
	echo '%defattr(-,root,root,-)'
	ls %{buildroot}%{python_sitelib}/mcomix/messages/*/LC_MESSAGES/mcomix.mo | \
	sed 's@%{buildroot}\(%{python_sitelib}/mcomix/messages/\([^/]\+\)/LC_MESSAGES/mcomix.mo\)@%lang(\2) \1@'
} | tee %{name}.lang

%if 0%{?suse_version}
%fdupes -s %{buildroot}%{_datadir}/icons
%fdupes -s %{buildroot}%{python_sitelib}/mcomix
%fdupes -s %{buildroot}%{python_sitelib}/mcomix-*
%endif


%post
%mime_database_post

%postun
%mime_database_postun

%files -f %{name}.lang
%doc
%{_bindir}/mcomix
%{python_sitelib}/mcomix-*
%dir %{python_sitelib}/mcomix/
%{python_sitelib}/mcomix/*.py*
%{python_sitelib}/mcomix/library/
%{python_sitelib}/mcomix/images/
%{python_sitelib}/mcomix/archive/
%{python_sitelib}/mcomix/win32/
# only directories and python, rest is in lang file
%dir %{python_sitelib}/mcomix/messages/
%dir %{python_sitelib}/mcomix/messages/*
%dir %{python_sitelib}/mcomix/messages/*/LC_MESSAGES
%{python_sitelib}/mcomix/messages/__init__.py*
%{_datadir}/appdata
%{_datadir}/applications/mcomix.desktop
%{_datadir}/icons/hicolor
%{_datadir}/mime/packages/mcomix.xml
%{_mandir}/man1/mcomix*

%changelog
* Sun Jul 16 2017 sleep_walker@opensuse.org
- clean the spec with spec-cleaner
* Wed Aug  3 2016 sleep_walker@opensuse.org
- bump to 1.2.1
  for list of changes check ChangeLog file
* Tue Nov 10 2015 tiwai@suse.de
- Add missing dependency on python-setuptools
* Mon Nov  2 2015 sleep_walker@opensuse.org
- localization was not part of package - fix it
* Mon Nov  2 2015 sleep_walker@opensuse.org
- bump to 1.01
  - Keyboard shortcuts can now be edited from MComix' preference dialog
    in a new tab "Shortcuts". (by Valentin Gologuzov)
    Please not that the arrow keys, Backspace and Escape cannot be bound
    to actions right now, unless you're manually editing the config file.
  - During database upgrade, MComix did not consider that books in the
    "Last read" database might no longer exist, leading to program crash.
    This has been fixed.
  - Adding a collection with a numeric name to the library made the library
    unusable. This has been fixed.
  - Fixed win32 builds missing the 'calendar' module.
  - Fixed bookmarks not being displayed in the Ubuntu Unity global menu.
  - Fixed 'Continue reading' not working when files are opened from
    the command line (by Boris Bogar).
  - Improved page extraction and caching algorithm, leading to much better
    responsiveness, especially for viewing large archives. (by Benoit Pierre)
  - MComix will now always hide the mouse cursor after a period of
    inactivity, even when not in fullscreen mode. (by Benoit Pierre)
  - The ALT+Left and ALT+Right keys will now either advance one page,
    or go back one page, depending on the user being in manga mode.
  - CTRL plus mouse wheel will now zoom in/out one level.
  - Manual zooming will now use a logarithmic scale instead of a linear
    spline.
  - The library will now use natural sorting for "Sort by name" and
    "Sort by path" instead of alphanumeric sorting, bringing it in line
    with most other sorting done by MComix.
  - Adding a book to a collection with the same book already existing
    in another collection did not immediately show the book in the
    library main view when the new collection was already selected.
  - MComix can now use the '7z' executable to read .tar.xz and .tar.lzma
    archives.
  - ZIP archives using BZIP2 compression will now fall back to external
    unzip/7z instead of failing (by Awad Mackie).
  - MComix can now read PDF files using tools provided by mupdf,
    namely mutool and mudraw. (by Benoit Pierre)
  - MComix will now use the current GTK theme's icons for
    Next/Previous buttons.
  - Added AppData meta information for software repositories.
  - Updated traditional Chinese translation (by Wayne Su).
* Thu Jul 24 2014 sleep_walker@suse.cz
- remove windows-fix.patch as it is not needed after update of
  python-setuptools
* Thu Jul 24 2014 sleep_walker@suse.cz
- let there be mcomix!
- add windows-fix.patch as python-setuptools doesn't take it correctly
  otherwise
